#
# spec file for package imhangul
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           imhangul
BuildRequires:  gtk2-devel libhangul-devel update-desktop-files
%define prefix /usr
%define sysconfdir /etc
License:        GPL-2.0+
Group:          System/I18n/Korean
AutoReqProv:    on
Provides:       locale(gtk2:ko)
PreReq:         /usr/bin/touch
Requires:       gtk2
Version:        0.9.14
Release:        17.3
Url:            http://imhangul.kldp.net/
Source0:        http://kldp.net/download.php/1443/imhangul-%{version}.tar.bz2
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM imhangul-0.9.14-gtk-deprecated.patch idoenmez@suse.de -- Replace deprecated functions
Patch1:         imhangul-0.9.14-gtk-deprecated.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        GTK+-2.0 Hangul Input Modules
%gtk2_immodule_requires

%description
GTK+-2.0 Hangul input modules.



Authors:
--------
    Choe Hwanjin <krisna@kldp.org>

%prep
%setup -q 
%patch1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=%{prefix} \
	--libdir=%{prefix}/%_lib \
	--with-gtk-im-module-dir=%{_libdir}/gtk-2.0/immodules \
	%{_target_platform}
make

%install
make -e DESTDIR=$RPM_BUILD_ROOT install
%find_lang im-hangul

%post
%gtk2_immodule_post
/sbin/ldconfig

%postun
%gtk2_immodule_postun
/sbin/ldconfig

%clean
#rm -rf $RPM_BUILD_ROOT

%files -f im-hangul.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog INSTALL TODO
%{prefix}/%{_lib}/gtk-2.0/immodules/

%changelog
* Sun May 22 2011 idonmez@novell.com
- Add imhangul-0.9.14-gtk-deprecated.patch: replace deprecated
  gdk_drawable_get_screen with gdk_window_get_screen
* Wed Mar  9 2011 tiwai@suse.de
- Fix post scripts to use new gtk2_immodule_* macros (bnc#678080)
* Wed Dec 29 2010 aj@suse.de
- Fix packagelist.
* Sun Jan 31 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Jan 14 2009 mfabian@suse.de
- bnc#464044: update to 0.9.14.
  (changelog is in Korean only).
- use /sbin/ldconfig instead of deprecated macro run_ldconfig
- specify gtk input module directory with configure option
  instead of patch (remove imhangul-0.9.6.dif).
- add libhangul-devel to BuildRequires.
* Tue Nov 25 2008 sbrabec@suse.cz
- Supplement gtk2-32bit/gtk2-64bit in baselibs.conf (bnc#354164).
* Sun Jan  7 2007 ro@suse.de
- GNOME moved to /usr
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(gtk2:ko)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep  7 2004 mfabian@suse.de
- update to 0.9.11.
  (now supports converting already inputed text to hanja).
* Wed Aug 25 2004 mfabian@suse.de
- Bugzilla #44155: add /usr/bin/touch to PreReq:.
* Tue Feb  3 2004 mfabian@suse.de
- update to 0.9.9.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Sep 12 2003 mfabian@suse.de
- Bugzilla #30620: don't try to call in gtk-query-immodules-2.0
  in %%post and %%postun, just trigger a run of SuSEconfig.gtk2
  which will then call gtk-query-immodules-2.0.
* Tue Aug 12 2003 ro@suse.de
- fix build on lib64 platforms
* Wed Jul 16 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
- Require gtk2.
* Sun Jun 15 2003 mfabian@suse.de
- fix "directory not owned by any package".
* Mon May 19 2003 mfabian@suse.de
- new package, version 0.20030519
